Xerces2 Implementation: Class XMLElementDecl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Class XMLElementDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.XMLElementDecl

public class XMLElementDecl
extends java.lang.Object

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XMLElementDecl.java 446755 2006-09-15 21:56:27Z mrglavas $

Field Summary
`ContentModelValidator` | `contentModelValidator` contentModelValidator
`org.apache.xerces.xni.QName` | `name` name
`int` | `scope` scope
`XMLSimpleType` | `simpleType` simpleType
`short` | `type` type
`static short` | `TYPE_ANY` TYPE_ANY
`static short` | `TYPE_CHILDREN` TYPE_CHILDREN
`static short` | `TYPE_EMPTY` TYPE_EMPTY
`static short` | `TYPE_MIXED` TYPE_MIXED
`static short` | `TYPE_SIMPLE` TYPE_SIMPLE

Constructor Summary
`XMLElementDecl()`

Method Summary
`void` | `clear()` clear
`void` | `setValues(org.apache.xerces.xni.QName name, int scope, short type, ContentModelValidator contentModelValidator, XMLSimpleType simpleType)` setValues

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ANY

    public static final short TYPE_ANY

  TYPE_ANY

### TYPE_EMPTY

    public static final short TYPE_EMPTY

  TYPE_EMPTY

### TYPE_MIXED

    public static final short TYPE_MIXED

  TYPE_MIXED

### TYPE_CHILDREN

    public static final short TYPE_CHILDREN

  TYPE_CHILDREN

### TYPE_SIMPLE

    public static final short TYPE_SIMPLE

  TYPE_SIMPLE

### name

    public final org.apache.xerces.xni.QName name

  name

### scope

    public int scope

  scope

### type

    public short type

  type

### contentModelValidator

    public ContentModelValidator contentModelValidator

  contentModelValidator

### simpleType

    public final XMLSimpleType simpleType

  simpleType

Constructor Detail

### XMLElementDecl

    public XMLElementDecl()

Method Detail

### setValues

    public void setValues(org.apache.xerces.xni.QName name,
                          int scope,
                          short type,
                          ContentModelValidator contentModelValidator,
                          XMLSimpleType simpleType)

  setValues
  Parameters:
    `name` -
    `scope` -
    `type` -
    `contentModelValidator` -
    `simpleType` -

### clear

    public void clear()

  clear

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.